## org.omg.CORBA
Class ValueDefHelper

    java.lang.Object
      |
      +--org.omg.CORBA.ValueDefHelper

public class ValueDefHelper
extends java.lang.Object

Helper class for : ValueDef

Author:
  OpenORB Compiler

Constructor Summary
`ValueDefHelper()`

Method Summary
`static ValueDef` `extract(Any a)` Extract ValueDef from an any
`static java.lang.String` `id()` Return the ValueDef IDL ID
`static void` `insert(Any a, ValueDef t)` Insert ValueDef into an any
`static ValueDef` `narrow(Object obj)` Narrow CORBA::Object to ValueDef
`static ValueDef` `read(InputStream istream)` Read ValueDef from a marshalled stream
`static TypeCode` `type()` Return the ValueDef TypeCode
`static ValueDef` `unchecked_narrow(Object obj)` Unchecked Narrow CORBA::Object to ValueDef
`static void` `write(OutputStream ostream, ValueDef value)` Write ValueDef into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ValueDefHelper

    public ValueDefHelper()

Method Detail

### insert

    public static void insert(Any a,
                              ValueDef t)

  Insert ValueDef into an any
  Parameters:
    `a` - an any
    `t` - ValueDef value

### extract

    public static ValueDef extract(Any a)

  Extract ValueDef from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted ValueDef value

### type

    public static TypeCode type()

  Return the ValueDef TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the ValueDef IDL ID
  Returns:
    an ID

### read

    public static ValueDef read(InputStream istream)

  Read ValueDef from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed ValueDef value

### write

    public static void write(OutputStream ostream,
                             ValueDef value)

  Write ValueDef into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - ValueDef value

### narrow

    public static ValueDef narrow(Object obj)

  Narrow CORBA::Object to ValueDef
  Parameters:
    `obj` - the CORBA Object
  Returns:
    ValueDef Object

### unchecked_narrow

    public static ValueDef unchecked_narrow(Object obj)

  Unchecked Narrow CORBA::Object to ValueDef
  Parameters:
    `obj` - the CORBA Object
  Returns:
    ValueDef Object